## python-pygraphviz 1.7

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d build/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest epub

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  epub       to make an epub"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"


clean:
	-rm -rf build/* source/reference/generated/* source/examples/* source/static/examples doc/source/*.pdf doc/source/*.zip 
	-rm -rf ../examples/*/*.png
	-rm -rf source/auto_examples

generate: build/generate-stamp
build/generate-stamp: $(wildcard source/reference/*.rst)
	mkdir -p build
	touch build/generate-stamp


dist: html
	test -d build/latex || make latex
	make -C build/latex all-pdf
	-rm -rf build/dist
	(cd build/html; cp -r . ../../build/dist)
#	-rm -f build/dist/_downloads/*
#	-mkdir  build/dist/_downloads
#	(cd build/html && zip -9r ../dist/_downloads/pygraphviz-documentation.zip .)
#	(cd build/html && zip -9r ../dist/pygraphviz-documentation.zip .)
#	cp build/latex/*.pdf build/dist/_downloads
	cp build/latex/*.pdf build/dist/
#	(cd build/dist && ln -s _downloads/* .)
#	(cd build/dist && tar czf ../dist.tar.gz .)


html: generate
	#make latex
	#make -C build/latex all-pdf
	#cp build/latex/pygraphviz.pdf source/.
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) build/html
	@echo
	@echo "Build finished. The HTML pages are in build/html."

dirhtml: generate
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) build/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in build/dirhtml."

pickle: generate
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) build/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json: generate
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) build/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp: generate
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) build/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in build/htmlhelp."

qthelp: generate
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) build/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in build/qthelp, like this:"
	@echo "# qcollectiongenerator build/qthelp/test.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile build/qthelp/test.qhc"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) build/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."


latex: generate
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) build/latex
	@echo
	@echo "Build finished; the LaTeX files are in build/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) build/changes
	@echo
	@echo "The overview file is in build/changes."

linkcheck: generate
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) build/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in build/linkcheck/output.txt."

doctest: generate
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) build/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in build/doctest/output.txt."

gitwash-update:
	python gitwash_dumper.py source/developer pygraphviz \
       --project-url=http://pygraphviz.github.io \
       --project-ml-url=http://groups.google.com/group/pygraphviz-discuss/

=== debian/changelog ===
python-pygraphviz (1.7-2) unstable; urgency=medium

  * debian/watch
    - fix upstream version detection

 -- Sandro Tosi <morph@debian.org>  Mon, 15 Feb 2021 19:05:44 -0500

python-pygraphviz (1.7-1) unstable; urgency=medium

  * New upstream release
  * Use the new Debian Python Team contact name and address
  * debian/watch
    - track releases on github
  * debian/copyright
    - update upstream copyright years
    - extend packaging copyright years
  * debian/patches/dont_install_data.patch
    - refresh patch
  * debian/control
    - add sphinx-rtd-theme, sphinx-gallery, numpydoc to b-d, needed by doc
    - bump Standards-Version to 4.5.1 (no changes needed)
    - bump dh compat to 13
  * run tests via pytest
  * debian/rules
    - set hardening flags

 -- Sandro Tosi <morph@debian.org>  Sat, 13 Feb 2021 00:57:52 -0500

python-pygraphviz (1.6-1) unstable; urgency=low

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Bump debhelper from old 10 to 12.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Ondřej Nový ]
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Sandro Tosi ]
  * New upstream release
  * debian/copyright
    - update upstream copyright notice
    - extent packaging copyright years

 -- Sandro Tosi <morph@debian.org>  Wed, 07 Oct 2020 23:41:43 -0400

=== debian/control ===
Source: python-pygraphviz
Section: python
Priority: optional
Maintainer: Sandro Tosi <morph@debian.org>
Uploaders: Debian Python Team <team+python@tracker.debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-python,
               graphviz,
               libgraphviz-dev,
               pkg-config,
               python3-all-dbg,
               python3-all-dev,
               python3-mock (>= 1.3) <!nocheck>,
               python3-pytest <!nocheck>,
               python3-numpydoc <!nodoc>,
               python3-setuptools,
               python3-sphinx <!nodoc>,
               python3-sphinx-gallery <!nodoc>,
               python3-sphinx-rtd-theme <!nodoc>,
Standards-Version: 4.5.1
Homepage: https://pygraphviz.github.io/
Vcs-Git: https://salsa.debian.org/python-team/packages/python-pygraphviz.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-pygraphviz

Package: python3-pygraphviz
Architecture: any
Depends: graphviz (>= 2.16),
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
Suggests: python-pygraphviz-doc,
Description: Python interface to the Graphviz graph layout and visualization package (Python 3)
 Pygraphviz is a Python interface to the Graphviz graph layout and
 visualization package.
 .
 With Pygraphviz you can create, edit, read, write, and draw graphs using
 Python to access the Graphviz graph data structure and layout algorithms.
 .
 This package contains the Python 3 version of python-pygraphviz.

Package: python3-pygraphviz-dbg
Section: debug
Architecture: any
Depends: python3-dbg,
         python3-pygraphviz (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Python interface to the Graphviz graph layout and visualization package (py3k debug extension)
 Pygraphviz is a Python interface to the Graphviz graph layout and
 visualization package.
 .
 With Pygraphviz you can create, edit, read, write, and draw graphs using
 Python to access the Graphviz graph data structure and layout algorithms.
 .
 This package contains the debug extension for python3-pygraphviz.

Package: python-pygraphviz-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Description: Python interface to the Graphviz graph layout and visualization package (doc)
 Pygraphviz is a Python interface to the Graphviz graph layout and
 visualization package.
 .
 With Pygraphviz you can create, edit, read, write, and draw graphs using
 Python to access the Graphviz graph data structure and layout algorithms.
 .
 This package contains documentation for python-pygraphviz.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

export PYBUILD_NAME=pygraphviz

export PYBUILD_AFTER_BUILD_python3=cd doc ; PYTHONPATH={build_dir} $(MAKE) html ; cd ..

%:
	dh $@  --with python3,sphinxdoc --buildsystem=pybuild

override_dh_strip:
ifeq (,$(filter nostrip,$(DEB_BUILD_OPTIONS)))
	dh_strip -ppython3-pygraphviz --dbg-package=python3-pygraphviz-dbg
endif

override_dh_installexamples:
	dh_installexamples -ppython-pygraphviz-doc examples/*

override_dh_installdocs:
	dh_installdocs -ppython3-pygraphviz-dbg --link-doc=python3-pygraphviz
	dh_installdocs
	dh_installdocs -ppython-pygraphviz-doc doc/build/html

override_dh_auto_clean:
	dh_auto_clean
	rm -rf doc/build

=== debian/watch ===
version=4
opts=uversionmangle=s/rc/~rc/ \
https://github.com/pygraphviz/pygraphviz/releases .*/archive/pygraphviz-(.+)\.tar\.gz

## python-pygraphviz 1.13

=== debian/changelog ===
python-pygraphviz (1.13-1) unstable; urgency=medium

  * New upstream version
  * Reduce build dependencies (Closes: #949462)
  * Standards-Version: 4.7.0 (routine-update)
  * Testsuite: autopkgtest-pkg-python (routine-update)

 -- Alexandre Detiste <tchet@debian.org>  Tue, 04 Jun 2024 21:40:16 +0200

python-pygraphviz (1.12-1) unstable; urgency=medium

  * Adopt package (Closes: #1065229)
  * update watch file for new GitHub API (Closes: #1064471)
  * New upstream version 1.12
  * add d/clean (Closes: #1047451)
  * set Rules-Requires-Root: no
  * update build dependencies:
    * use new dh-sequence-python3
    * replace pkg-config by pkgconf
    * remove obsolete python3-mock

 -- Alexandre Detiste <tchet@debian.org>  Sun, 10 Mar 2024 20:23:05 +0100

python-pygraphviz (1.7-4) unstable; urgency=medium

  * orphan

 -- Sandro Tosi <morph@debian.org>  Sat, 02 Mar 2024 00:24:34 -0500

python-pygraphviz (1.7-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on python3-mock.
    + python3-pygraphviz: Drop versioned constraint on graphviz in Depends.

  [ Sandro Tosi ]
  * debian/watch
    - fix again upstream version detection
  * remove -dbg package; Closes: #994363

 -- Sandro Tosi <morph@debian.org>  Thu, 30 Sep 2021 19:42:50 -0400

## python-pygraphviz 1.14

=== Makefile ===
all:

swig:
	swig -python pygraphviz/graphviz.i
	# DOS endings to not corrupt the diff.
	@unix2dos pygraphviz/graphviz.py
	@unix2dos pygraphviz/graphviz_wrap.c

# Clean all build and test artifacts.
clean c:
	rm -rf build *.pyc *.egg-info MANIFEST __pycache__ .tox
	find pygraphviz -name '*.pyc' -delete
	find pygraphviz -name '*.so' -delete
	find pygraphviz -name '__pycache__' -type d | xargs --no-run-if-empty rm -r

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =

# Internal variables.
ALLSPHINXOPTS   = -d build/doctrees $(SPHINXOPTS) source

.PHONY: help clean html dirhtml linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"


clean:
	-rm -rf build/* source/reference/generated/* source/examples/* source/static/examples doc/source/*.pdf doc/source/*.zip
	-rm -rf ../examples/*/*.png
	-rm -rf source/auto_examples

generate: build/generate-stamp
build/generate-stamp: $(wildcard source/reference/*.rst)
	mkdir -p build
	touch build/generate-stamp

html: generate
	#make latex
	#make -C build/latex all-pdf
	#cp build/latex/pygraphviz.pdf source/.
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) build/html
	@echo
	@echo "Build finished. The HTML pages are in build/html."

dirhtml: generate
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) build/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in build/dirhtml."

linkcheck: generate
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) build/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in build/linkcheck/output.txt."

doctest: generate
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) build/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in build/doctest/output.txt."

=== debian/changelog ===
python-pygraphviz (1.14-2) unstable; urgency=medium

  * Switch to pybuild-plugin-pyproject
  * Reformat d/control with debputy
  * Trim d/rules
  * Bump Standards-Version to 4.7.2
  * Remove Python2 vs 3 hybridation

 -- Alexandre Detiste <tchet@debian.org>  Sat, 02 Aug 2025 21:43:59 +0200

python-pygraphviz (1.14-1) unstable; urgency=medium

  * New upstream version 1.14

 -- Alexandre Detiste <tchet@debian.org>  Wed, 06 Nov 2024 20:20:51 +0100

=== debian/control ===
Source: python-pygraphviz
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Alexandre Detiste <tchet@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 graphviz <!nocheck>,
 libgraphviz-dev,
 pkgconf,
 pybuild-plugin-pyproject,
 python3-all-dev,
 python3-numpydoc <!nodoc>,
 python3-pytest <!nocheck>,
 python3-setuptools,
Build-Depends-Indep:
 dh-sequence-sphinxdoc <!nodoc>,
 python3-sphinx <!nodoc>,
 python3-sphinx-gallery <!nodoc>,
 python3-sphinx-rtd-theme <!nodoc>,
Rules-Requires-Root: no
Standards-Version: 4.7.2
Homepage: https://pygraphviz.github.io/
Vcs-Git: https://salsa.debian.org/python-team/packages/python-pygraphviz.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-pygraphviz
X-Style: black
Testsuite: autopkgtest-pkg-python

Package: python3-pygraphviz
Architecture: any
Depends:
 graphviz,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Suggests:
 python-pygraphviz-doc,
Description: Python interface to the Graphviz graph layout and visualization package (Python 3)
 Pygraphviz is a Python interface to the Graphviz graph layout and
 visualization package.
 .
 With Pygraphviz you can create, edit, read, write, and draw graphs using
 Python to access the Graphviz graph data structure and layout algorithms.
 .
 This package contains the Python 3 version of python-pygraphviz.

Package: python-pygraphviz-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Multi-Arch: foreign
Description: Python interface to the Graphviz graph layout and visualization package (doc)
 Pygraphviz is a Python interface to the Graphviz graph layout and
 visualization package.
 .
 With Pygraphviz you can create, edit, read, write, and draw graphs using
 Python to access the Graphviz graph data structure and layout algorithms.
 .
 This package contains documentation for python-pygraphviz.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

export PYBUILD_NAME=pygraphviz
export PYBUILD_AFTER_BUILD=cd doc ; PYTHONPATH={build_dir} $(MAKE) html ; cd ..

%:
	dh $@ --buildsystem=pybuild

override_dh_installexamples:
	dh_installexamples -ppython-pygraphviz-doc examples/*

execute_after_dh_installdocs:
	dh_installdocs -ppython-pygraphviz-doc doc/build/html

=== debian/watch ===
version=4
opts=uversionmangle=s/rc/~rc/ \
https://github.com/pygraphviz/pygraphviz/tags (?:.*?/)pygraphviz-(.+)\.tar\.gz
